System Requirements

Stator is designed for Windows operating systems with the only prerequisite that the Microsoft .NET Framework version 4.6 be installed.

System Requirements

Ideally you’ll be running Windows 10 however Stator will work with any operating system that has .Net 4.6 installed. By default, the following operating systems have .Net 4.6 installed:

  • Windows 10
  • Windows 8
  • Windows 7
  • Windows Vista (with Service Pack 1)

As mentioned above, Stator requires Microsoft .NET framework version 4.6 to be installed on your computer. The .NET framework is a library maintained by Microsoft that runs primarily on Windows operating systems.

The Stator installation package takes care of detecting and installing the required .NET framework on your computer however if you would like to install the framework separately please use the link provided below.

Use either of the buttons below to learn more about the .Net framework.

Visit the Microsoft .Net website